io.vertx.rxjava.ext.web.handler.graphql.dataloader

## Class VertxBatchLoader<K,V>

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.graphql.dataloader.VertxBatchLoader<K,V>

-     public class VertxBatchLoader<K,V>
      extends Object

  A that works well with Vert.x callback and based APIs.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<VertxBatchLoader>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<K>` | `__typeArg_0`
    `io.vertx.lang.rx.TypeArg<V>` | `__typeArg_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertxBatchLoader(Object delegate, io.vertx.lang.rx.TypeArg<K> typeArg_0, io.vertx.lang.rx.TypeArg<V> typeArg_1)`
    `VertxBatchLoader(VertxBatchLoader delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `VertxBatchLoader` | `getDelegate()`
    `int` | `hashCode()`
    `static <K,V> VertxBatchLoader<K,V>` | `newInstance(VertxBatchLoader arg)`
    `static <K,V> VertxBatchLoader<K,V>` | `newInstance(VertxBatchLoader arg, io.vertx.lang.rx.TypeArg<K> __typeArg_K, io.vertx.lang.rx.TypeArg<V> __typeArg_V)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<VertxBatchLoader> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<K> __typeArg_0

    - #### __typeArg_1

          public final io.vertx.lang.rx.TypeArg<V> __typeArg_1

  - ### Constructor Detail

    - #### VertxBatchLoader

          public VertxBatchLoader(VertxBatchLoader delegate)

    - #### VertxBatchLoader

          public VertxBatchLoader(Object delegate,
                                  io.vertx.lang.rx.TypeArg<K> typeArg_0,
                                  io.vertx.lang.rx.TypeArg<V> typeArg_1)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public VertxBatchLoader getDelegate()

    - #### newInstance

          public static <K,V> VertxBatchLoader<K,V> newInstance(VertxBatchLoader arg)

    - #### newInstance

          public static <K,V> VertxBatchLoader<K,V> newInstance(VertxBatchLoader arg,
                                                                io.vertx.lang.rx.TypeArg<K> __typeArg_K,
                                                                io.vertx.lang.rx.TypeArg<V> __typeArg_V)

Copyright © 2022 Eclipse. All rights reserved.